Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

Filter by conversation ID (e.g. id=eq.123)

name
string

Filter by conversation Name (e.g. name=like.Voice%)

created_at
string

Filter by creation datetime (e.g., created_at=gte.2025-01-01)

last_message_at
string

Filter by last message datetime (e.g., last_message_at=lte.2025-06-01)

metadata->assistant_id
string

Filter by assistant ID (e.g., metadata->assistant_id=eq.assistant-123)

metadata->call_control_id
string

Filter by call control ID (e.g., metadata->call_control_id=eq.v3:123)

metadata->telnyx_agent_target
string

Filter by the phone number, SIP URI, or other identifier for the agent (e.g., metadata->telnyx_agent_target=eq.+13128675309)

metadata->telnyx_end_user_target
string

Filter by the phone number, SIP URI, or other identifier for the end user (e.g., metadata->telnyx_end_user_target=eq.+13128675309)

metadata->telnyx_conversation_channel
string

Filter by conversation channel (e.g., metadata->telnyx_conversation_channel=eq.phone_call)

limit
integer

Limit the number of returned conversations (e.g., limit=10)

Required range: x >= 1
order
string

Order the results by specific fields (e.g., order=created_at.desc or order=last_message_at.asc)

or
string

Apply OR conditions using PostgREST syntax (e.g., or=(created_at.gte.2025-04-01,last_message_at.gte.2025-04-01))

Response

Successful Response

data
Data · object[]
required